#### Previous topic

scipy.sparse.csc_matrix.log1p

#### Next topic

scipy.sparse.csc_matrix.maximum

# scipy.sparse.csc_matrix.max

`csc_matrix.``max`(axis=None, out=None)

  Return the maximum of the matrix or maximum along an axis. This takes all elements into account, not just the non-zero ones.

  Parameters:

  axis : {-2, -1, 0, 1, None} optional

  > Axis along which the sum is computed. The default is to compute the maximum over all the matrix elements, returning a scalar (i.e. axis = None).

  out : None, optional

  > This argument is in the signature solely for NumPy compatibility reasons. Do not pass in anything except for the default value, as this argument is not used.

  Returns:

  amax : coo_matrix or scalar

  > Maximum of a. If axis is None, the result is a scalar value. If axis is given, the result is a sparse.coo_matrix of dimension `a.ndim - 1`.

  See also

  `min`
    The minimum value of a sparse matrix along a given axis.
  `np.matrix.max`
    NumPy’s implementation of ‘max’ for matrices